<?php

require_once("_base.php");

class Frontend extends Base {

  var $tplData = array(
    "body_file" => "frontend/blank.tpl",
    "page_title" => "",
    "page_header_title" => ""
  );

  function Frontend() {
  
    parent::Base();
    
    $this->_setTitle('Mayer B. &amp; company');
  }
  
  function _setBody($filename)
  {
    $this->tplData["body_file"] = "frontend/$filename.tpl";
  }
  
  function _display()
  {
    $this->_assign("topmenu_lang", $this->language->GetLang("topmenu"));
    $this->_assign("overall_lang", $this->language->GetLang("overall"));
    
    $lang = $this->language->GetLang("search");
    $this->_assign('lang_search', $lang['text']);
    
    $this->_assignTplData();
    
    $this->_buildLangPanel();
    
    $this->ci_smarty->display("frontend_layout.tpl");
  }
}

?>